Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class ProductPluginManager

    java.lang.Object
      net.hyperic.hq.product.PluginManager
          net.hyperic.hq.product.ProductPluginManager

public class ProductPluginManager
extends PluginManager

This class is a manager for ProductPlugin implementations and is also a manager of plugin managers.

Field Summary
`static int` `DEPLOYMENT_ORDER_LAST`
`static java.io.File` `PLUGIN_PROPERTIES_FILE`
`static java.lang.String` `PROPERTY_PREFIX`

Fields inherited from class net.hyperic.hq.product.PluginManager
`plugins`

Constructor Summary
`ProductPluginManager()`
`ProductPluginManager(java.io.File file)`
`ProductPluginManager(java.util.Properties props)`

Method Summary
`ServerDetector` `getAutoinventoryPlugin(java.lang.String name)`
`AutoinventoryPluginManager` `getAutoinventoryPluginManager()`
`ConfigTrackPluginManager` `getConfigTrackPluginManager()`
`ControlPlugin` `getControlPlugin(java.lang.String name)`
`ControlPluginManager` `getControlPluginManager()`
`LogTrackPluginManager` `getLogTrackPluginManager()`
`MeasurementPlugin` `getMeasurementPlugin(java.lang.String name)`
`MeasurementPluginManager` `getMeasurementPluginManager()`
`java.lang.String` `getName()`
`PluginManager` `getPluginManager(java.lang.String type)`
`ProductPlugin` `getProductPlugin(java.lang.String name)`
`static java.lang.String` `getPropertyKey(java.lang.String plugin, java.lang.String key)`
`net.hyperic.hq.product.RtPlugin` `getRtPlugin(java.lang.String name)`
`net.hyperic.hq.product.RtPluginManager` `getRtPluginManager()`
`TypeInfo` `getTypeInfo(java.lang.String platform, java.lang.String name)` Find TypeInfo for the given platform and type name.
`void` `init()`
`boolean` `isLoadablePluginName(java.lang.String name)`
`java.lang.String` `registerPluginJar(java.lang.String jarName)` registerPluginJar() without mapping types.
`java.lang.String` `registerPluginJar(java.lang.String jarName, java.lang.ClassLoader resourceLoader)` Load a product plugin jar.
`int` `registerPlugins(java.lang.String path)`
`void` `removePluginJar(java.lang.String jarName)`
`void` `setProperty(java.lang.String key, java.lang.String value)`
`void` `setRegisterTypes(boolean registerTypes)` If true creates a mapping of the ProductPlugin TypeInfos, only needed on the server side.
`void` `setUnpackNestedJars(boolean unpackNestedJars)`
`void` `shutdown()`
`void` `updatePluginJar(java.lang.String jarName)`

Methods inherited from class net.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, init, isPropertyEnabled, isPropertyEnabled, mergeConfigSchema, registerPlugin, removePlugin, setPluginInfo, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEPLOYMENT_ORDER_LAST

    public static final int DEPLOYMENT_ORDER_LAST

See Also:
  Constant Field Values

### PLUGIN_PROPERTIES_FILE

    public static final java.io.File PLUGIN_PROPERTIES_FILE

### PROPERTY_PREFIX

    public static final java.lang.String PROPERTY_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ProductPluginManager

    public ProductPluginManager()

### ProductPluginManager

    public ProductPluginManager(java.io.File file)

### ProductPluginManager

    public ProductPluginManager(java.util.Properties props)

Method Detail

### setRegisterTypes

    public void setRegisterTypes(boolean registerTypes)

  If true creates a mapping of the ProductPlugin TypeInfos, only needed on the server side.

### setUnpackNestedJars

    public void setUnpackNestedJars(boolean unpackNestedJars)

### getPropertyKey

    public static java.lang.String getPropertyKey(java.lang.String plugin,
                                                  java.lang.String key)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `PluginManager`

### getTypeInfo

    public TypeInfo getTypeInfo(java.lang.String platform,
                                java.lang.String name)

  Find TypeInfo for the given platform and type name.

  Parameters:
    `platform` - The platform name, e.g. "Linux"
    `name` - The type name, e.g. "Apache 2.0"

### init

    public void init()
              throws PluginException

  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Overrides:
    `shutdown` in class `PluginManager`
  Throws:
    `PluginException`

### getMeasurementPluginManager

    public MeasurementPluginManager getMeasurementPluginManager()

### getControlPluginManager

    public ControlPluginManager getControlPluginManager()

### getAutoinventoryPluginManager

    public AutoinventoryPluginManager getAutoinventoryPluginManager()

### getRtPluginManager

    public net.hyperic.hq.product.RtPluginManager getRtPluginManager()

### getLogTrackPluginManager

    public LogTrackPluginManager getLogTrackPluginManager()

### getConfigTrackPluginManager

    public ConfigTrackPluginManager getConfigTrackPluginManager()

### getMeasurementPlugin

    public MeasurementPlugin getMeasurementPlugin(java.lang.String name)

### getControlPlugin

    public ControlPlugin getControlPlugin(java.lang.String name)

### getAutoinventoryPlugin

    public ServerDetector getAutoinventoryPlugin(java.lang.String name)

### getRtPlugin

    public net.hyperic.hq.product.RtPlugin getRtPlugin(java.lang.String name)

### getProductPlugin

    public ProductPlugin getProductPlugin(java.lang.String name)

### isLoadablePluginName

    public boolean isLoadablePluginName(java.lang.String name)

### registerPluginJar

    public java.lang.String registerPluginJar(java.lang.String jarName)
                                       throws PluginException,
                                              PluginExistsException

  registerPluginJar() without mapping types.

  Parameters:
    `jarName` - The name of the jar file on disk.
  Throws:
    `PluginException`
    `PluginExistsException`
  See Also:
    `registerPluginJar(String jarName,ClassLoader resourceLoader)`

### registerPlugins

    public int registerPlugins(java.lang.String path)
                        throws PluginException,
                               PluginExistsException

  Throws:
    `PluginException`
    `PluginExistsException`

### registerPluginJar

    public java.lang.String registerPluginJar(java.lang.String jarName,
                                              java.lang.ClassLoader resourceLoader)
                                       throws PluginException,
                                              PluginExistsException

  Load a product plugin jar. Registers the product plugin, as defined by the Main-Class jar manifest attribute which must be a class which implements the ProductPlugin interface. Registers plugins supported for each plugin type (control, measurement, responsetime) as returned by the ProductPlugin.getPlugin method.

  Parameters:
    `jarName` - The name of the jar file on disk.
    `resourceLoader` - ClassLoader used to find jar resources.
  Returns:
    The name of the product plugin as returned by ProductPlugin.getName.
  Throws:
    `PluginException`
    `PluginExistsException`
  See Also:
    `ProductPlugin`

### removePluginJar

    public void removePluginJar(java.lang.String jarName)
                         throws PluginException

  Throws:
    `PluginException`

### updatePluginJar

    public void updatePluginJar(java.lang.String jarName)
                         throws PluginException

  Throws:
    `PluginException`

### getPluginManager

    public PluginManager getPluginManager(java.lang.String type)
                                   throws PluginException

  Throws:
    `PluginException`

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.